<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/nd_handler_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>03/31/83  nd_handler_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>
<span id="L4" class="LineNr"> 4 </span>Entry points in nd_handler_:
<span id="L5" class="LineNr"> 5 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L6" class="LineNr"> 6 </span>
<span id="L7" class="LineNr"> 7 </span>
<span id="L8" class="LineNr"> 8 </span>:Entry: nd_handler_: 02/08/83  nd_handler_
<span id="L9" class="LineNr"> 9 </span>
<span id="L10" class="LineNr">10 </span>
<span id="L11" class="LineNr">11 </span>Function: attempts to resolve the name duplication caused when a
<span id="L12" class="LineNr">12 </span>program tries to create a segment, multisegment file, or link in a
<span id="L13" class="LineNr">13 </span>directory that already contains an entry by the same name.  If the
<span id="L14" class="LineNr">14 </span>existing entry has additional names, nd_handler_ tries to delete the
<span id="L15" class="LineNr">15 </span>name needed for the new entry and, if successful, prints a warning
<span id="L16" class="LineNr">16 </span>message.  If the existing entry has only one name, nd_handler_ queries
<span id="L17" class="LineNr">17 </span>the user whether or not to delete it.  A zero status code in either
<span id="L18" class="LineNr">18 </span>case means that nd_handler_ has succeeded, and the calling program can
<span id="L19" class="LineNr">19 </span>retry creating the new entry.
<span id="L20" class="LineNr">20 </span>
<span id="L21" class="LineNr">21 </span>
<span id="L22" class="LineNr">22 </span>Syntax:
<span id="L23" class="LineNr">23 </span>dcl nd_handler_ entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L24" class="LineNr">24 </span>call nd_handler_ <span class="textRainbow_lv0_p0">(</span>caller<span class="textRainbow_lv0_o0">,</span> dn<span class="textRainbow_lv0_o0">,</span> en<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L25" class="LineNr">25 </span>
<span id="L26" class="LineNr">26 </span>
<span id="L27" class="LineNr">27 </span>Arguments:
<span id="L28" class="LineNr">28 </span>caller
<span id="L29" class="LineNr">29 </span>   is the name of the calling program, used in printed messages.
<span id="L30" class="LineNr">30 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L31" class="LineNr">31 </span>dn
<span id="L32" class="LineNr">32 </span>   is the pathname of the directory involved.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L33" class="LineNr">33 </span>en
<span id="L34" class="LineNr">34 </span>   is the name of the entry that the calling program wants to create.
<span id="L35" class="LineNr">35 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L36" class="LineNr">36 </span>code
<span id="L37" class="LineNr">37 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> It can be:
<span id="L38" class="LineNr">38 </span>   0
<span id="L39" class="LineNr">39 </span>      if the old entryname has been removed.
<span id="L40" class="LineNr">40 </span>   error_table_$action_not_performed
<span id="L41" class="LineNr">41 </span>      if the user answered &quot;no&quot; to a query.
<span id="L42" class="LineNr">42 </span>   other codes
<span id="L43" class="LineNr">43 </span>      if the old entryname could not be removed for some other reason
<span id="L44" class="LineNr">44 </span>      such as lack of access.  An error message is then printed by
<span id="L45" class="LineNr">45 </span>      nd_handler_.
<span id="L46" class="LineNr">46 </span>
<span id="L47" class="LineNr">47 </span>
<span id="L48" class="LineNr">48 </span>Notes:
<span id="L49" class="LineNr">49 </span>This subroutine is usually called after another subroutine call has
<span id="L50" class="LineNr">50 </span>returned error_table_$namedup.  If nd_handler_ returns a zero status
<span id="L51" class="LineNr">51 </span>code, the other subroutine is called a second time.  A warning message
<span id="L52" class="LineNr">52 </span>of the following kind is printed if the existing entry has multiple
<span id="L53" class="LineNr">53 </span>names:
<span id="L54" class="LineNr">54 </span>   caller:  Name duplication.  Old name foo removed from &gt;udd&gt;m&gt;Smith&gt;oldseg.
<span id="L55" class="LineNr">55 </span>If the existing entry has only one name, wording of the query depends
<span id="L56" class="LineNr">56 </span>on the existing entry's type:
<span id="L57" class="LineNr">57 </span>   caller:  Do you want to delete the old segment &lt;path&gt;?
<span id="L58" class="LineNr">58 </span>   caller:  Do you want to delete the old multisegment file &lt;path&gt;?
<span id="L59" class="LineNr">59 </span>   caller:  Do you want to unlink the old link &lt;path&gt;?
<span id="L60" class="LineNr">60 </span>                   <span class="textRainbow_lv0_p0">(</span>Target &lt;path2&gt; exists.<span class="textRainbow_lv0_p0">)</span>
<span id="L61" class="LineNr">61 </span>              or:  <span class="textRainbow_lv0_p0">(</span>Target &lt;path2&gt; does not exist.<span class="textRainbow_lv0_p0">)</span>
<span id="L62" class="LineNr">62 </span>              or:  <span class="textRainbow_lv0_p0">(</span>Cannot get info for target &lt;path2&gt;.<span class="textRainbow_lv0_p0">)</span>
<span id="L63" class="LineNr">63 </span>              or:  <span class="textRainbow_lv0_p0">(</span>No target pathname.<span class="textRainbow_lv0_p0">)</span>
<span id="L64" class="LineNr">64 </span>The following entry points have the same calling sequence.
<span id="L65" class="LineNr">65 </span>
<span id="L66" class="LineNr">66 </span>
<span id="L67" class="LineNr">67 </span>:Entry:  del:  02/08/83 nd_handler_$del
<span id="L68" class="LineNr">68 </span>
<span id="L69" class="LineNr">69 </span>
<span id="L70" class="LineNr">70 </span>Function:  This entry point queries whether or not to delete the
<span id="L71" class="LineNr">71 </span>existing entry, regardless of whether or not it has additional names.
<span id="L72" class="LineNr">72 </span>
<span id="L73" class="LineNr">73 </span>
<span id="L74" class="LineNr">74 </span>:Entry:  del_force:  02/08/83 nd_handler_$del_force
<span id="L75" class="LineNr">75 </span>
<span id="L76" class="LineNr">76 </span>
<span id="L77" class="LineNr">77 </span>Function:  This entry point deletes the old entry <span class="textRainbow_lv0_p0">(</span>no query<span class="textRainbow_lv0_p0">)</span>,
<span id="L78" class="LineNr">78 </span>regardless of whether it has additional names.
<span id="L79" class="LineNr">79 </span>
<span id="L80" class="LineNr">80 </span>
<span id="L81" class="LineNr">81 </span>:Entry:  force:  02/08/83 nd_handler_$force
<span id="L82" class="LineNr">82 </span>
<span id="L83" class="LineNr">83 </span>
<span id="L84" class="LineNr">84 </span>Function:  This entry point deletes the existing entry if it has only
<span id="L85" class="LineNr">85 </span>one name, rather than issue a query.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
